Subject: bug#59695: ESP partition uses 1024 byte sectors

From: Efraim Flashner <[email-masked]>
Date: Tue, 29 Nov 2022 22:51:42 +0200

I was working on using a grub-efi system image for aarch64 and I got the
following error:
'Error: FAT sector size mismatch (fs=1024, dev=512)'
I traced it back to u-boot¹. u-boot wouldn't chainload grub if the
device block size and the filesystem sector size doesn't line up. I
changed the line in (gnu build image) in make-vfat-image to use '-S 512'
for esp partitions and was able to load the grub menu from u-boot.

I spent some time looking through the git history but I wasn't able to
find anything to suggest why we have 1024 byte sectors there
specifically.

¹ https://source.denx.de/u-boot/u-boot/-/blob/master/fs/fat/fat.c#L589

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted